#!/bin/sh

export basedir=/home/syjy/ipfcstV3

chmod -R 777 $basedir

cd $basedir/jdk

echo "Install jdk8!"
tar -zxvf jdk-8u261-linux-x64.tar.gz

if test -e /home/syjy/patch.zip
	then
	cd /home/syjy
	unzip -o patch.zip
fi

cp -f $basedir/settings/console /etc/init.d/
cp -f $basedir/settings/reportquery /etc/init.d/

chmod 777 /etc/init.d/console
chmod 777 /etc/init.d/reportquery

update-rc.d console defaults
update-rc.d reportquery defaults
systemctl daemon-reload

service console start
service reportquery start

echo "Installation is complete!"
